Package org.jfree.layouting.input.style.parser.stylehandler

## Class ListOfValuesReadHandler

- java.lang.Object
- - org.jfree.layouting.input.style.parser.stylehandler.ListOfValuesReadHandler

- All Implemented Interfaces:
    `CSSValueReadHandler`
  Direct Known Subclasses:
    `BackgroundImageReadHandler`, `FontFamilyReadHandler`, `ListOfConstantsReadHandler`, `PseudoclassReadHandler`, `TextOverflowEllipsisReadHandler`

      public abstract class ListOfValuesReadHandler
      extends java.lang.Object
      implements CSSValueReadHandler

  Creation-Date: 26.11.2005, 19:16:43
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ListOfValuesReadHandler​()` |
    `protected` | `ListOfValuesReadHandler​(int maxCount, boolean distinct)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CSSValue` | `createValue​(StyleKey name, org.w3c.css.sac.LexicalUnit value)` |
    `int` | `getMaxCount​()` |
    `boolean` | `isDistinctValues​()` |
    `protected abstract CSSValue` | `parseValue​(org.w3c.css.sac.LexicalUnit value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListOfValuesReadHandler

          protected ListOfValuesReadHandler​()

    - #### ListOfValuesReadHandler

          protected ListOfValuesReadHandler​(int maxCount,
                                            boolean distinct)

  - ### Method Detail

    - #### isDistinctValues

          public boolean isDistinctValues​()

    - #### getMaxCount

          public int getMaxCount​()

    - #### createValue

          public CSSValue createValue​(StyleKey name,
                                      org.w3c.css.sac.LexicalUnit value)

      Specified by:
        `createValue` in interface `CSSValueReadHandler`

    - #### parseValue

          protected abstract CSSValue parseValue​(org.w3c.css.sac.LexicalUnit value)